<?php
// No direct access to this file
defined('_JEXEC') or die;

// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * HelloWorld Form Field class for the HelloWorld component
 */
class JFormFieldUmrLibelle extends JFormFieldList
{
    /**
     * The field type.
     *
     * @var         string
     */
    protected $type = 'UmrLibelle';

    /**
     * Method to get a list of options for a list input.
     *
     * @return      array           An array of JHtml options.
     */
    protected function getOptions()
    {
        //print_r($this);
        $champ = $this->element['name'];
        $subselect = $this->element['subselect'];
        if(is_null($subselect) || $subselect='') {
            $categorie = 0;
        } else {
            $categorie = $this->form->getValue('categorie');
            if($categorie == '') {$categorie = 0;}
        }
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select($db->quoteName(array('id','libelle_court','libelle_long')));
        $query->from($db->quoteName('#__umrmanagement_libelle'));
        $query->where($db->quoteName('variable') . ' LIKE ' . $db->quote($champ) . ' AND ' . $db->quoteName('categorie') . ' = ' . $categorie);
        $db->setQuery((string)$query);
        $libelles = $db->loadObjectList();
        $options = array();
        if ($libelles)
        {

            foreach($libelles as $libelle)
            {
                $sLib = '';
                if(!isset($this->element['libelle_court']) || $this->element['libelle_court']!='0') {
                    // par défaut on affiche le libellé court sauf si 0 spécifié
                    $sLib .= $libelle->libelle_court;
                }
                if(isset($this->element['libelle_long']) && $this->element['libelle_long']!='0') {
                    // On affiche le libellé long à la demande
                    $sLib .= ' - ' . $libelle->libelle_long;
                }
                $options[] = JHtml::_('select.option', $libelle->id, $sLib);
            }
        }
        // Add OnChange attribute to the select if defined in XML form definition
        //~ if(isset($this->element['onchange']))
        //~ {
            //~ $this->__set('onchange',$this->element['onchange']);
        //~ }
        $options = array_merge(parent::getOptions(), $options);
        return $options;
    }
}
?>
