-- *****************************************************************************
-- *****************************************************************************
--
-- * * *  M I G R A T I O N   D E P U I S   B D D   J O O M L A !   1 . 5  * * *
--
-- *****************************************************************************
-- *****************************************************************************

--
-- ***MIGRATION*** Données de la table `#__umrmanagement`
--

INSERT INTO #__umrmanagement( id, name, nick, tel, fax, email, website, place, biography, picture, sexe, birth_year, site, axe, published )
SELECT u.id, p.name, p.nick, p.tel, p.fax, p.email, p.website, p.place, p.biography, p.picture, u.sexe, u.birth_year, u.montpellier, u.axe, p.published
FROM old_umrmanagement AS u
JOIN old_peoplebook AS p ON u.id = p.id;

--
-- ***MIGRATION*** Données de la table `#__umrmanagement_mouvement`
--

INSERT INTO #__umrmanagement_mouvement (idmvt,id,etablissement,categorie,grade,staff_in,staff_out,DepartInconnu)
SELECT idmvt,m.id,etablissement_employeur,categorie,grade,staff_in,staff_out,DepartInconnu FROM `old_umrmanagement_mouvement` as m JOIN old_umrmanagement as umr ON umr.id=m.id;

--
-- ***MIGRATION*** Mise à jour de umrmanagement.published
--
UPDATE #__umrmanagement SET published=0;
UPDATE #__umrmanagement AS u, #__umrmanagement_mouvement AS m SET u.published=1
WHERE
        u.id=m.id
    AND
        DATEDIFF(m.staff_in,CURDATE())<=0
    AND
        (m.DepartInconnu=1 OR DATEDIFF(CURDATE(), m.staff_out)>=0);

--
-- ***MIGRATION*** Données de la table `#__umrmanagement_enregistrements`
--

INSERT INTO #__umrmanagement_enregistrements (idmvt,nom,valeur)
SELECT idmvt,nom,valeur FROM old_umrmanagement_enregistrements JOIN old_umrmanagement_mouvement ON idu=id;

--
-- Mise à jour du flag de publication
--

UPDATE `#__umrmanagement` SET published='0';
UPDATE `#__umrmanagement` AS u, `#__umrmanagement_mouvement` AS m
SET u.published='1'
WHERE
        m.id=u.id
    AND
        DATEDIFF(m.staff_in,CURDATE())<=0
    AND
        (m.DepartInconnu=1 OR DATEDIFF(CURDATE(), m.staff_out)<=0);
