<?php

/**
 * @version     $Id: view.html.php 51 2010-11-22 01:33:21Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * UmrManagements View
 */
abstract class UmrManagementViewExportParent extends JView
{
    /**
     * UmrManagements view display method
     * @return void
     */
    function getData()
    {
        // Get data from the model
        $this->items = $this->get('Items');
        $this->categorie = $this->get('Categorie');
        $this->fieldnames = $this->get('FieldNames');
        $state = $this->get('State');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }
    }

    /**
     * Récupère les labels des colonnes du tableau d'export
     */
    protected function getFieldLabels () {
        $labels = array(
            'name'      => 'COM_UMRMANAGEMENT_UMRMANAGEMENT_FIELD_NAME_LABEL',
            'sexe'      => 'COM_UMRMANAGEMENT_UMRMANAGEMENT_FIELD_SEXE_LABEL',
            'birth_year' => 'COM_UMRMANAGEMENT_UMRMANAGEMENT_FIELD_BIRTHYEAR_LABEL',
            'grade'     => 'COM_UMRMANAGEMENT_ATTENDANCE_FIELD_GRADE_LABEL',
            'axe'       => 'COM_UMRMANAGEMENT_UMRMANAGEMENT_FIELD_AXE_LABEL',
            'etablissement' => 'COM_UMRMANAGEMENT_ATTENDANCE_FIELD_ETABLISSEMENT_LABEL',
            'categorie' => 'COM_UMRMANAGEMENT_ATTENDANCE_FIELD_CATEGORIE_LABEL');
        // Traduction des libellés
        foreach($labels as &$label) {
            $label = JText::_($label);
        }
        // Ajout des libellés champs complémentaires en fonction de
        require_once(JPATH_COMPONENT_SITE.DS.'models'.DS.'umrtools.php');
        $aExtraChamps = UmrManagementModelUmrTools::getChampsExtraInfo($this->categorie);
        foreach($aExtraChamps as $sChamp) {
            $aExtraParam = UmrManagementModelUmrTools::getChampsExtraParam($sChamp);
            $labels[$sChamp] = $aExtraParam['libelle'];
        }
        return $labels;
    }

    /**
     * Setting the toolbar
     */
    protected function addToolBar()
    {
        JToolBarHelper::title(JText::_('COM_UMRMANAGEMENT_EXPORT_TITLE'));
        JToolBarHelper::apply('', 'COM_UMRMANAGEMENT_EXPORT_BUTTON');
    }
}
