<?php

/**
 * @version     $Id: view.html.php 6 2014-09-01 14:05:15Z david.dorchies $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * UmrManagement View
 */
class UmrManagementViewUmrManagement extends JView
{
    /**
     * View form
     *
     * @var     form
     */
    protected $form = null;

    /**
     * display method of Hello view
     * @return void
     */
    public function display($tpl = null)
    {
        // get the Data
        $form = $this->get('Form');
        $item = $this->get('Item');
        $attendances = $this->get('Items','attendances');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }
        // Assign the Data
        $this->form = $form;
        $this->item = $item;
        $this->attendances = $attendances;

        // Set the toolbar
        $this->addToolBar();

        // Display the template
        parent::display($tpl);

        // Set the document
        $this->setDocument();
    }

    /**
     * Setting the toolbar
     */
    protected function addToolBar()
    {
        JRequest::setVar('hidemainmenu', true);
        $isNew = ($this->item->id == 0);
        JToolBarHelper::title($isNew ? JText::_('COM_UMRMANAGEMENT_MANAGER_UMRMANAGEMENT_NEW') : JText::_('COM_UMRMANAGEMENT_MANAGER_UMRMANAGEMENT_EDIT'), 'umrmanagement');
        JToolBarHelper::save('umrmanagement.save');
        JToolBarHelper::cancel('umrmanagement.cancel', $isNew ? 'JTOOLBAR_CANCEL' : 'JTOOLBAR_CLOSE');
    }
    /**
     * Method to set up the document properties
     *
     * @return void
     */
    protected function setDocument()
    {
        $isNew = ($this->item->id < 1);
        $document = JFactory::getDocument();
        $document->setTitle($isNew ? JText::_('COM_UMRMANAGEMENT_UMRMANAGEMENT_CREATING') : JText::_('COM_UMRMANAGEMENT_UMRMANAGEMENT_EDITING'));
    }
}
